## ros-galactic-ament-clang-tidy 0.10.7

=== debian/changelog ===
ros-galactic-ament-clang-tidy (0.10.7-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Apr 2022 00:00:00 -0000

ros-galactic-ament-clang-tidy (0.10.6-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 May 2021 00:00:00 -0000

ros-galactic-ament-clang-tidy (0.10.5-1focal) focal; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-galactic-ament-clang-tidy (0.10.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-galactic-ament-clang-tidy (0.10.3-1focal) focal; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 03 Mar 2021 00:00:00 -0000

ros-galactic-ament-clang-tidy (0.10.2-1focal) focal; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Add multiprocessing support to ament_clang_tidy (#288 <https://github.com/ament/ament_lint/issues/288>)
    * add multiprocessing support
    * fix stylistic lint issues
  * Contributors: Audrow Nash, M. Mei

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 12 Feb 2021 00:00:00 -0000

ros-galactic-ament-clang-tidy (0.10.1-1focal) focal; urgency=high

  * Add --packages-select argument to ament_clang_tidy (#287 <https://github.com/ament/ament_lint/issues/287>)
    Add comment explaining handling quoted list of space separated package names
    Update documentation for ament_clang_tidy
  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang, Tyler Weaver

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-galactic-ament-clang-tidy (0.10.0-1focal) focal; urgency=high

  * Add pytest.ini so local tests don't display warning. (#259 <https://github.com/ament/ament_lint/issues/259>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Sep 2020 00:00:00 -0000

ros-galactic-ament-clang-tidy (0.9.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-galactic-ament-clang-tidy (0.9.3-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-galactic-ament-clang-tidy (0.9.2-1focal) focal; urgency=high

  * Allow AMENT_IGNORE markers to be directories (#232 <https://github.com/ament/ament_lint/issues/232>)
  * Contributors: Dan Rose

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-galactic-ament-clang-tidy (0.9.1-1focal) focal; urgency=high

  * 0.9.0
  * Merge pull request #213 <https://github.com/ament/ament_lint/issues/213> from mm318/master
    Fix ament_clang_tidy
  * fix KeyError crash in ament_clang_tidy script
  * put back "checked files" section of xunit output file
  * fix bug in constructing arguments for clang-tidy command
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * fix flake8 linter issue
  * reduce amount of changes in pull request again
  * reduce amount of changes in pull request
  * put back --fix-errors and --header-filter options (--fix-errors is still a no-op)
  * fix python lint issues
  * remove some unsupported features
  * fix ament_clang_tidy
  * Generate xunit files valid for the junit10.xsd (#220 <https://github.com/ament/ament_lint/issues/220>)
  * remove status attribute from result XML (#212 <https://github.com/ament/ament_lint/issues/212>)
  * Contributors: Chris Lalancette, Claire Wang, Dirk Thomas, Jose Luis Rivero, Miaofei

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 10 Apr 2020 00:00:00 -0000

ros-galactic-ament-clang-tidy (0.8.1-1focal) focal; urgency=high

  * install resource marker file for packages (#193 <https://github.com/ament/ament_lint/issues/193>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-galactic-ament-clang-tidy (0.8.0-1focal) focal; urgency=high

  * install manifest files in Python packages (#185 <https://github.com/ament/ament_lint/issues/185>)
  * Convert list comprehension to generator (#179 <https://github.com/ament/ament_lint/issues/179>)
    Addresses flake8 C412 errors introduced by flake8-comprehension 2.2.0
  * Contributors: Dirk Thomas, Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 17 Sep 2019 00:00:00 -0000

ros-galactic-ament-clang-tidy (0.7.4-1focal) focal; urgency=high

  * Fix version num for release (#169 <https://github.com/ament/ament_lint/issues/169>)
  * Add python3-yaml depends to ament_clang_tidy/format (#166 <https://github.com/ament/ament_lint/issues/166>)
    depend -> exec_depend
    Remove whitespace
  * Add error output, header out option, fix null error (#163 <https://github.com/ament/ament_lint/issues/163>)
    * Add error output, header out option, fix null error
    * Add quiet option to ament_clang_tidy
    * Add header filter and system header option
  * Add clang tidy to ament linters (#155 <https://github.com/ament/ament_lint/issues/155>)
    * Basic clang-lint functionality
    * Add clang tidy cmake dir
    * Add Google/default config file
    * Add xunit output
    * Add lint tests
    * Update copyright, maintainer, verbiage
  * Contributors: John

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 31 Jul 2019 00:00:00 -0000

ros-galactic-ament-clang-tidy (0.7.3-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 09 May 2019 14:08:00 -0000

ros-galactic-ament-clang-tidy (0.7.2-1focal) focal; urgency=high




